ArchiveResource (Apache Ant API)
Keywords: org.apache.tools.ant.types.resources.ArchiveResource class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.resources
Class ArchiveResource

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.Resource
                  org.apache.tools.ant.types.resources.ArchiveResource

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, ResourceCollection

Direct Known Subclasses:
  TarResource, ZipResource

    public abstract class ArchiveResource

extends Resource

A Resource representation of an entry inside an archive.

Since:
  Ant 1.7

Field Summary

Fields inherited from class org.apache.tools.ant.types.Resource
`MAGIC, UNKNOWN_DATETIME, UNKNOWN_SIZE`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`ArchiveResource()` Default constructor.
`ArchiveResource(java.io.File a)` Construct a ArchiveResource representing the specified entry in the specified archive.
`ArchiveResource(java.io.File a, boolean withEntry)` Construct a ArchiveResource representing the specified entry in the specified archive.
`ArchiveResource(Resource a, boolean withEntry)` Construct a ArchiveResource representing the specified entry in the specified archive.

Method Summary
`void` | `addConfigured(ResourceCollection a)` Sets the archive that holds this as a single element Resource collection.
`int` | `compareTo(java.lang.Object another)` Compare this ArchiveResource to another Resource.
`boolean` | `equals(java.lang.Object another)` Compare another Object to this ArchiveResource for equality.
`protected abstract void` | `fetchEntry()` fetches information from the named entry inside the archive.
`Resource` | `getArchive()` Get the archive that holds this Resource.
`long` | `getLastModified()` Get the last modified date of this Resource.
`int` | `getMode()` Get the file or dir mode for this Resource.
`long` | `getSize()` Get the size of this Resource.
`int` | `hashCode()` Get the hash code for this Resource.
`boolean` | `isDirectory()` Learn whether this Resource represents a directory.
`boolean` | `isExists()` Find out whether this Resource represents an existing Resource.
`void` | `setArchive(java.io.File a)` Set the archive that holds this Resource.
`void` | `setMode(int mode)` Sets the file or dir mode for this resource.
`void` | `setRefid(Reference r)` Overrides the super version.
`java.lang.String` | `toString()` Format this Resource as a String.

Methods inherited from class org.apache.tools.ant.types.Resource
`clone, getInputStream, getMagicNumber, getName, getOutputStream, isFilesystemOnly, iterator, setDirectory, setExists, setLastModified, setName, setSize, size, toLongString`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, setChecked, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArchiveResource

    public ArchiveResource()

  Default constructor.

### ArchiveResource

    public ArchiveResource(java.io.File a)

  Construct a ArchiveResource representing the specified entry in the specified archive.

  Parameters:
    `a` - the archive as File.

### ArchiveResource

    public ArchiveResource(java.io.File a,
                           boolean withEntry)

  Construct a ArchiveResource representing the specified entry in the specified archive.

  Parameters:
    `a` - the archive as File.
    `withEntry` - if the entry has been specified.

### ArchiveResource

    public ArchiveResource(Resource a,
                           boolean withEntry)

  Construct a ArchiveResource representing the specified entry in the specified archive.

  Parameters:
    `a` - the archive as Resource.
    `withEntry` - if the entry has been specified.

Method Detail

### setArchive

    public void setArchive(java.io.File a)

  Set the archive that holds this Resource.

  Parameters:
    `a` - the archive as a File.

### setMode

    public void setMode(int mode)

  Sets the file or dir mode for this resource.

  Parameters:
    `mode` - integer representation of Unix permission mask.

### addConfigured

    public void addConfigured(ResourceCollection a)

  Sets the archive that holds this as a single element Resource collection.

  Parameters:
    `a` - the archive as a single element Resource collection.

### getArchive

    public Resource getArchive()

  Get the archive that holds this Resource.

  Returns:
    the archive as a Resource.

### getLastModified

    public long getLastModified()

  Get the last modified date of this Resource.

  Overrides:
    `getLastModified` in class `Resource`
  Returns:
    the last modification date.

### getSize

    public long getSize()

  Get the size of this Resource.

  Overrides:
    `getSize` in class `Resource`
  Returns:
    the long size of this Resource.

### isDirectory

    public boolean isDirectory()

  Learn whether this Resource represents a directory.

  Overrides:
    `isDirectory` in class `Resource`
  Returns:
    boolean flag indicating whether the entry is a directory.

### isExists

    public boolean isExists()

  Find out whether this Resource represents an existing Resource.

  Overrides:
    `isExists` in class `Resource`
  Returns:
    boolean existence flag.

### getMode

    public int getMode()

  Get the file or dir mode for this Resource.

  Returns:
    integer representation of Unix permission mask.

### setRefid

    public void setRefid(Reference r)

  Overrides the super version.

  Overrides:
    `setRefid` in class `Resource`
  Parameters:
    `r` - the Reference to set.

### compareTo

    public int compareTo(java.lang.Object another)

  Compare this ArchiveResource to another Resource.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Overrides:
    `compareTo` in class `Resource`
  Parameters:
    `another` - the other Resource against which to compare.
  Returns:
    a negative integer, zero, or a positive integer as this Resource is less than, equal to, or greater than the specified Resource.

### equals

    public boolean equals(java.lang.Object another)

  Compare another Object to this ArchiveResource for equality.

  Overrides:
    `equals` in class `Resource`
  Parameters:
    `another` - the other Object to compare.
  Returns:
    true if another is a Resource representing the same entry in the same archive.

### hashCode

    public int hashCode()

  Get the hash code for this Resource.

  Overrides:
    `hashCode` in class `Resource`
  Returns:
    hash code as int.

### toString

    public java.lang.String toString()

  Format this Resource as a String.

  Overrides:
    `toString` in class `Resource`
  Returns:
    String representatation of this Resource.

### fetchEntry

    protected abstract void fetchEntry()

  fetches information from the named entry inside the archive.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD